(function () {
  'use strict';
  var gulp = require('gulp');
  var sass = require('gulp-sass');
  // Uncomment this line to turn on sourcemaps
  // var sourcemaps = require('gulp-sourcemaps');
  var autoprefixer = require('gulp-autoprefixer');
  var importer = require('node-sass-globbing');
  var plumber = require('gulp-plumber');
  // Uncomment this like to turn on css minification
  // var cssmin = require('gulp-cssmin');
  // Uncomment this like to turn on sourcemaps
  // var browserSync = require('browser-sync').create();

  var sass_config = {
    importer: importer,
    includePaths: [
      'node_modules/breakpoint-sass/stylesheets/',
      'node_modules/compass-mixins/lib/'
    ],
    outputStyle: 'expanded'
  };

  // Uncomment these lines to turn on browserSync
  // gulp.task('browser-sync', function() {
  //   browserSync.init({
  //     injectChanges: true,
  //     proxy: "YOUR-PROXY-URL"
  //   });
  //   gulp.watch('./sass/**/*.scss', ['sass']);
  //   gulp.watch(['./css/**/*.css']).on('change', browserSync.reload);
  // });

  // Uncomment these lines to turn on browserSync
  gulp.task('watch', function () {
    gulp.watch('./sass/**/*.scss', ['sass']);
  });

  gulp.task('sass', function () {
    gulp.src('./sass/**/*.scss')
    .pipe(plumber())
    // Uncomment this like to turn on sourcemaps
    // .pipe(sourcemaps.init())
    .pipe(sass(sass_config).on('error', sass.logError))
    .pipe(autoprefixer({
      browsers: ['last 2 version']
    }))
    // Uncomment this like to turn on sourcemaps
    // .pipe(sourcemaps.write('.'))
    // Uncomment this like to turn on css minification
    // .pipe(cssmin())
    .pipe(gulp.dest('./css'));
  });

  // Use this first line for browserSync, the second for just sass compiling
  // gulp.task('default', [ 'browser-sync']);
  // gulp.task('default');
  gulp.task('default', ['watch']);
}());
